Package: lolcat / 100.0.1-3

Metadata

Package Version Patches format
lolcat 100.0.1-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
00 no rubygems | (download)

bin/lolcat | 1 0 + 1 - 0 !
1 file changed, 1 deletion(-)

 drop 'require "rubygems"'
 dependencies are managed by apt, no need for rubygems, and it can cause
 strange effects. (as suggested by cedric.boutillier in
 <20130220223651.GC18010@spin> on <debian-ruby@lists.debian.org>
remove manpages gem.patch | (download)

lolcat.gemspec | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 we don't need the manpages gem.
 We already installed the manpage in the proper location.
Don t use git ls.patch | (download)

lolcat.gemspec | 6 3 + 3 - 0 !
1 file changed, 3 insertions(+), 3 deletions(-)

 don't use git in gemspec
 because it's checked during autopkgtest and git package
 is not installed.
use system ruby.patch | (download)

bin/lolcat | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use system ruby.